LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
XToolkit.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/awt/XWindowPeer.idl";`
`import "com/sun/star/awt/Rectangle.idl";`
`import "com/sun/star/awt/WindowDescriptor.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/awt/XDevice.idl";`
`import "com/sun/star/awt/XRegion.idl";`

Go to the source code of this file.

## Classes
interface | XToolkit
| specifies a factory interface for the window toolkit. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.